Package org.opensaml.saml.saml1.core

# Interface Subject

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `SubjectImpl`

public interface Subject extends SAMLObject
Interface to describe how the `Subject` elements work.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`NameIdentifier`
`getNameIdentifier()`
Get the name identifier.
`SubjectConfirmation`
`getSubjectConfirmation()`
Get the subject confirmation.
`void`
`setNameIdentifier(NameIdentifier nameIdentifier)`
Set the name identifier.
`void`
`setSubjectConfirmation(SubjectConfirmation subjectConfirmation)`
Set the subject confirmation.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getNameIdentifier

@Nullable NameIdentifier getNameIdentifier()
Get the name identifier.

Returns:
  the name identifier

### setNameIdentifier

void setNameIdentifier(@Nullable NameIdentifier nameIdentifier)
Set the name identifier.

Parameters:
  `nameIdentifier` - the name identifier

### getSubjectConfirmation

@Nullable SubjectConfirmation getSubjectConfirmation()
Get the subject confirmation.

Returns:
  the subject confirmation

### setSubjectConfirmation

void setSubjectConfirmation(@Nullable SubjectConfirmation subjectConfirmation)
Set the subject confirmation.

Parameters:
  `subjectConfirmation` - the subject confirmation